/**
 * DevExtreme (cjs/data/query_implementation.js)
 * Version: 21.1.6 (build 21300-1228)
 * Build date: Wed Oct 27 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.queryImpl = void 0;
var _array_query = _interopRequireDefault(require("./array_query"));
var _remote_query = _interopRequireDefault(require("./remote_query"));

function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    }
}
var queryImpl = {
    array: _array_query.default,
    remote: _remote_query.default
};
exports.queryImpl = queryImpl;
